<?xml version="1.0" standalone="no"?> <!--*- mode: xml -*-->
<!DOCTYPE glade-interface SYSTEM "http://glade.gnome.org/glade-2.0.dtd">

<glade-interface>

<widget class="GtkWindow" id="history_window">
  <property name="title" translatable="yes">Conversation History</property>
  <property name="type">GTK_WINDOW_TOPLEVEL</property>
  <property name="window_position">GTK_WIN_POS_NONE</property>
  <property name="modal">False</property>
  <property name="default_width">650</property>
  <property name="default_height">350</property>
  <property name="resizable">True</property>
  <property name="destroy_with_parent">False</property>
  <property name="role">history</property>
  <property name="decorated">True</property>
  <property name="skip_taskbar_hint">False</property>
  <property name="skip_pager_hint">False</property>
  <property name="type_hint">GDK_WINDOW_TYPE_HINT_NORMAL</property>
  <property name="gravity">GDK_GRAVITY_NORTH_WEST</property>
  <property name="focus_on_map">True</property>
  <signal name="destroy" handler="on_history_window_destroy" last_modification_time="Tue, 01 Mar 2005 16:30:31 GMT"/>

  <child>
    <widget class="GtkVBox" id="vbox">
      <property name="border_width">6</property>
      <property name="visible">True</property>
      <property name="homogeneous">False</property>
      <property name="spacing">6</property>

      <child>
	<widget class="GtkHPaned" id="hpaned">
	  <property name="visible">True</property>
	  <property name="can_focus">True</property>
	  <property name="position">165</property>

	  <child>
	    <widget class="GtkVBox" id="vbox">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">6</property>

	      <child>
		<widget class="GtkCalendar" id="calendar">
		  <property name="visible">True</property>
		  <property name="can_focus">True</property>
		  <property name="display_options">GTK_CALENDAR_SHOW_HEADING|GTK_CALENDAR_SHOW_DAY_NAMES</property>
		  <signal name="day_selected" handler="on_calendar_day_selected" last_modification_time="Sun, 20 Nov 2005 19:26:58 GMT"/>
		  <signal name="month_changed" handler="on_calendar_month_changed" last_modification_time="Thu, 24 Nov 2005 00:49:22 GMT"/>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">False</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	    <packing>
	      <property name="shrink">True</property>
	      <property name="resize">False</property>
	    </packing>
	  </child>

	  <child>
	    <widget class="GtkScrolledWindow" id="scrolledwindow">
	      <property name="visible">True</property>
	      <property name="can_focus">True</property>
	      <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
	      <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
	      <property name="shadow_type">GTK_SHADOW_ETCHED_IN</property>
	      <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

	      <child>
		<placeholder/>
	      </child>
	    </widget>
	    <packing>
	      <property name="shrink">True</property>
	      <property name="resize">True</property>
	    </packing>
	  </child>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">True</property>
	  <property name="fill">True</property>
	</packing>
      </child>

      <child>
	<widget class="GtkExpander" id="search_expander">
	  <property name="visible">True</property>
	  <property name="can_focus">True</property>
	  <property name="expanded">False</property>
	  <property name="spacing">0</property>
	  <signal name="activate" handler="on_search_expander_activate" last_modification_time="Tue, 29 Nov 2005 13:43:41 GMT"/>

	  <child>
	    <widget class="GtkVBox" id="expander_vbox">
	      <property name="visible">True</property>
	      <property name="homogeneous">False</property>
	      <property name="spacing">6</property>

	      <child>
		<widget class="GtkHBox" id="query_hbox">
		  <property name="visible">True</property>
		  <property name="homogeneous">False</property>
		  <property name="spacing">6</property>

		  <child>
		    <widget class="GtkEntry" id="query_entry">
		      <property name="visible">True</property>
		      <property name="can_focus">True</property>
		      <property name="editable">True</property>
		      <property name="visibility">True</property>
		      <property name="max_length">0</property>
		      <property name="text" translatable="yes"></property>
		      <property name="has_frame">True</property>
		      <property name="invisible_char">*</property>
		      <property name="activates_default">True</property>
		    </widget>
		    <packing>
		      <property name="padding">0</property>
		      <property name="expand">True</property>
		      <property name="fill">True</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkButton" id="search_button">
		      <property name="visible">True</property>
		      <property name="can_default">True</property>
		      <property name="has_default">True</property>
		      <property name="can_focus">True</property>
		      <property name="relief">GTK_RELIEF_NORMAL</property>
		      <property name="focus_on_click">True</property>
		      <signal name="clicked" handler="on_search_button_clicked" last_modification_time="Tue, 29 Nov 2005 11:40:15 GMT"/>

		      <child>
			<widget class="GtkAlignment" id="alignment99">
			  <property name="visible">True</property>
			  <property name="xalign">0.5</property>
			  <property name="yalign">0.5</property>
			  <property name="xscale">0</property>
			  <property name="yscale">0</property>
			  <property name="top_padding">0</property>
			  <property name="bottom_padding">0</property>
			  <property name="left_padding">0</property>
			  <property name="right_padding">0</property>

			  <child>
			    <widget class="GtkHBox" id="hbox3004">
			      <property name="visible">True</property>
			      <property name="homogeneous">False</property>
			      <property name="spacing">2</property>

			      <child>
				<widget class="GtkImage" id="image1327">
				  <property name="visible">True</property>
				  <property name="stock">gtk-find</property>
				  <property name="icon_size">4</property>
				  <property name="xalign">0.5</property>
				  <property name="yalign">0.5</property>
				  <property name="xpad">0</property>
				  <property name="ypad">0</property>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">False</property>
				  <property name="fill">False</property>
				</packing>
			      </child>

			      <child>
				<widget class="GtkLabel" id="label372">
				  <property name="visible">True</property>
				  <property name="label" translatable="yes">Search</property>
				  <property name="use_underline">True</property>
				  <property name="use_markup">False</property>
				  <property name="justify">GTK_JUSTIFY_LEFT</property>
				  <property name="wrap">False</property>
				  <property name="selectable">False</property>
				  <property name="xalign">0.5</property>
				  <property name="yalign">0.5</property>
				  <property name="xpad">0</property>
				  <property name="ypad">0</property>
				  <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
				  <property name="width_chars">-1</property>
				  <property name="single_line_mode">False</property>
				  <property name="angle">0</property>
				</widget>
				<packing>
				  <property name="padding">0</property>
				  <property name="expand">False</property>
				  <property name="fill">False</property>
				</packing>
			      </child>
			    </widget>
			  </child>
			</widget>
		      </child>
		    </widget>
		    <packing>
		      <property name="padding">0</property>
		      <property name="expand">False</property>
		      <property name="fill">False</property>
		    </packing>
		  </child>

		  <child>
		    <widget class="GtkButton" id="query_builder_button">
		      <property name="visible">True</property>
		      <property name="tooltip" translatable="yes">Build custom query</property>
		      <property name="can_focus">True</property>
		      <property name="label" translatable="yes">Query Builder...</property>
		      <property name="use_underline">True</property>
		      <property name="relief">GTK_RELIEF_NORMAL</property>
		      <property name="focus_on_click">True</property>
		      <signal name="clicked" handler="on_query_builder_button_clicked" last_modification_time="Tue, 29 Nov 2005 11:40:18 GMT"/>
		    </widget>
		    <packing>
		      <property name="padding">0</property>
		      <property name="expand">False</property>
		      <property name="fill">False</property>
		    </packing>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">False</property>
		  <property name="fill">True</property>
		</packing>
	      </child>

	      <child>
		<widget class="GtkScrolledWindow" id="results_scrolledwindow">
		  <property name="visible">True</property>
		  <property name="can_focus">True</property>
		  <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
		  <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
		  <property name="shadow_type">GTK_SHADOW_IN</property>
		  <property name="window_placement">GTK_CORNER_TOP_LEFT</property>

		  <child>
		    <widget class="GtkTreeView" id="results_treeview">
		      <property name="visible">True</property>
		      <property name="can_focus">True</property>
		      <property name="headers_visible">True</property>
		      <property name="rules_hint">True</property>
		      <property name="reorderable">False</property>
		      <property name="enable_search">True</property>
		      <property name="fixed_height_mode">False</property>
		      <property name="hover_selection">False</property>
		      <property name="hover_expand">False</property>
		      <signal name="row_activated" handler="on_results_treeview_row_activated" last_modification_time="Tue, 29 Nov 2005 21:05:37 GMT"/>
		    </widget>
		  </child>
		</widget>
		<packing>
		  <property name="padding">0</property>
		  <property name="expand">True</property>
		  <property name="fill">True</property>
		</packing>
	      </child>
	    </widget>
	  </child>

	  <child>
	    <widget class="GtkLabel" id="label368">
	      <property name="visible">True</property>
	      <property name="label" translatable="yes">_Search</property>
	      <property name="use_underline">True</property>
	      <property name="use_markup">False</property>
	      <property name="justify">GTK_JUSTIFY_LEFT</property>
	      <property name="wrap">False</property>
	      <property name="selectable">False</property>
	      <property name="xalign">0.5</property>
	      <property name="yalign">0.5</property>
	      <property name="xpad">0</property>
	      <property name="ypad">0</property>
	      <property name="ellipsize">PANGO_ELLIPSIZE_NONE</property>
	      <property name="width_chars">-1</property>
	      <property name="single_line_mode">False</property>
	      <property name="angle">0</property>
	    </widget>
	    <packing>
	      <property name="type">label_item</property>
	    </packing>
	  </child>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">False</property>
	  <property name="fill">True</property>
	</packing>
      </child>

      <child>
	<widget class="GtkHButtonBox" id="hbuttonbox">
	  <property name="visible">True</property>
	  <property name="layout_style">GTK_BUTTONBOX_END</property>
	  <property name="spacing">6</property>

	  <child>
	    <widget class="GtkButton" id="close_button">
	      <property name="visible">True</property>
	      <property name="can_default">True</property>
	      <property name="can_focus">True</property>
	      <property name="label">gtk-close</property>
	      <property name="use_stock">True</property>
	      <property name="relief">GTK_RELIEF_NORMAL</property>
	      <property name="focus_on_click">True</property>
	      <signal name="clicked" handler="on_close_button_clicked" last_modification_time="Tue, 01 Mar 2005 16:21:16 GMT"/>
	    </widget>
	  </child>
	</widget>
	<packing>
	  <property name="padding">0</property>
	  <property name="expand">False</property>
	  <property name="fill">False</property>
	</packing>
      </child>
    </widget>
  </child>
</widget>

</glade-interface>
